package com.four.common.duck.domain;

/**
 * 签到表
 */
public class Sign {

    /**
     * 签到id
     */
    private Integer signId;

    /**
     * 签到状态： 1、未签到 2、已签到
     */
    private Integer signStatus;

    /**
     * 是否首发病友圈：1、未首发 2、已首发
     */
    private Integer firstPatientCircle;

    /**
     * 是否病友圈首评：1、未评论 2、已评论
     */
    private Integer firstReviewPatientCircle;

    /**
     * 是否完善信息：1、未完善 2、已完善
     */
    private Integer perfectInformation;

    /**
     * 是否参与健康评测：1、未参与 2、参与
     */
    private Integer healthEvaluation;

    /**
     * 用户id:   患者、医生都可以
     */
    private Integer userId;

    public Integer getSignId() {
        return signId;
    }

    public void setSignId(Integer signId) {
        this.signId = signId;
    }

    public Integer getSignStatus() {
        return signStatus;
    }

    public void setSignStatus(Integer signStatus) {
        this.signStatus = signStatus;
    }

    public Integer getFirstPatientCircle() {
        return firstPatientCircle;
    }

    public void setFirstPatientCircle(Integer firstPatientCircle) {
        this.firstPatientCircle = firstPatientCircle;
    }

    public Integer getFirstReviewPatientCircle() {
        return firstReviewPatientCircle;
    }

    public void setFirstReviewPatientCircle(Integer firstReviewPatientCircle) {
        this.firstReviewPatientCircle = firstReviewPatientCircle;
    }

    public Integer getPerfectInformation() {
        return perfectInformation;
    }

    public void setPerfectInformation(Integer perfectInformation) {
        this.perfectInformation = perfectInformation;
    }

    public Integer getHealthEvaluation() {
        return healthEvaluation;
    }

    public void setHealthEvaluation(Integer healthEvaluation) {
        this.healthEvaluation = healthEvaluation;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Sign() {
    }

    public Sign(Integer signId, Integer signStatus, Integer firstPatientCircle, Integer firstReviewPatientCircle, Integer perfectInformation, Integer healthEvaluation, Integer userId) {
        this.signId = signId;
        this.signStatus = signStatus;
        this.firstPatientCircle = firstPatientCircle;
        this.firstReviewPatientCircle = firstReviewPatientCircle;
        this.perfectInformation = perfectInformation;
        this.healthEvaluation = healthEvaluation;
        this.userId = userId;
    }
}
