package com.four.common.duck.my;

import java.math.BigDecimal;
import java.util.Date;

/**
 * 用户表
 */
public class User {

    /**
     * 用户id
     */
    private Integer userId;

    /**
     * 用户名称
     */
    private String username;

    /**
     * 用户密码
     */
    private String password;

    /**
     * 邮箱
     */
    private String userEmail;

    /**
     * 手机号
     */
    private String userPhone;

    /**
     * 头像
     */
    private String userAvatar;

    /**
     * 性别
     */
    private String userSex;

    /**
     * 体征
     */
    private String userSign;

    /**
     * 注册时间
     */
    private Date registrationTime;

    /**
     * 绑定微信状态 1：未绑定 2：已绑定
     */
    private Integer bindWechatStatus;

    /**
     * 实名认证状态 1：未绑定 2：已绑定
     */
    private Integer realNameAuthenticationStatus;

    /**
     * 绑定银行卡状态 1：未绑定 2：已绑定
     */
    private Integer bindBankCardStatus;

    /**
     * 余额
     */
    private BigDecimal userMoney;

    /**
     * 余额
     */
    private String invitationCode;

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public String getUsername() {
        return username;
    }

    public void setUsername(String username) {
        this.username = username;
    }

    public String getPassword() {
        return password;
    }

    public void setPassword(String password) {
        this.password = password;
    }

    public String getUserEmail() {
        return userEmail;
    }

    public void setUserEmail(String userEmail) {
        this.userEmail = userEmail;
    }

    public String getUserPhone() {
        return userPhone;
    }

    public void setUserPhone(String userPhone) {
        this.userPhone = userPhone;
    }

    public String getUserAvatar() {
        return userAvatar;
    }

    public void setUserAvatar(String userAvatar) {
        this.userAvatar = userAvatar;
    }

    public String getUserSex() {
        return userSex;
    }

    public void setUserSex(String userSex) {
        this.userSex = userSex;
    }

    public String getUserSign() {
        return userSign;
    }

    public void setUserSign(String userSign) {
        this.userSign = userSign;
    }

    public Date getRegistrationTime() {
        return registrationTime;
    }

    public void setRegistrationTime(Date registrationTime) {
        this.registrationTime = registrationTime;
    }

    public Integer getBindWechatStatus() {
        return bindWechatStatus;
    }

    public void setBindWechatStatus(Integer bindWechatStatus) {
        this.bindWechatStatus = bindWechatStatus;
    }

    public Integer getRealNameAuthenticationStatus() {
        return realNameAuthenticationStatus;
    }

    public void setRealNameAuthenticationStatus(Integer realNameAuthenticationStatus) {
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
    }

    public Integer getBindBankCardStatus() {
        return bindBankCardStatus;
    }

    public void setBindBankCardStatus(Integer bindBankCardStatus) {
        this.bindBankCardStatus = bindBankCardStatus;
    }

    public BigDecimal getUserMoney() {
        return userMoney;
    }

    public void setUserMoney(BigDecimal userMoney) {
        this.userMoney = userMoney;
    }

    public String getInvitationCode() {
        return invitationCode;
    }

    public void setInvitationCode(String invitationCode) {
        this.invitationCode = invitationCode;
    }

    public User() {
    }

    public User(Integer userId, String username, String password, String userEmail, String userPhone, String userAvatar, String userSex, String userSign, Date registrationTime, Integer bindWechatStatus, Integer realNameAuthenticationStatus, Integer bindBankCardStatus, BigDecimal userMoney, String invitationCode) {
        this.userId = userId;
        this.username = username;
        this.password = password;
        this.userEmail = userEmail;
        this.userPhone = userPhone;
        this.userAvatar = userAvatar;
        this.userSex = userSex;
        this.userSign = userSign;
        this.registrationTime = registrationTime;
        this.bindWechatStatus = bindWechatStatus;
        this.realNameAuthenticationStatus = realNameAuthenticationStatus;
        this.bindBankCardStatus = bindBankCardStatus;
        this.userMoney = userMoney;
        this.invitationCode = invitationCode;
    }
}
