package com.four.common.duck.communitypatients;

import java.util.Date;

/**
 * 详情表中的评论表
 */
public class DetailedReview {

    /**
     * 详情表中的评论id
     */
    private Integer detailedReviewId;

    /**
     * 病友圈详情id
     */
    private Integer detailsPatientCircleId;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论人id
     */
    private Integer reviewerId;

    /**
     * 点赞次数
     */
    private Integer numberLikes;

    /**
     * 嘲讽次数
     */
    private Integer tauntCount;

    /***
     * 评论内容
     * @return
     */
    private String name;

    public DetailedReview(Integer detailedReviewId, Integer detailsPatientCircleId, Date commentTime, Integer reviewerId, Integer numberLikes, Integer tauntCount, String name) {
        this.detailedReviewId = detailedReviewId;
        this.detailsPatientCircleId = detailsPatientCircleId;
        this.commentTime = commentTime;
        this.reviewerId = reviewerId;
        this.numberLikes = numberLikes;
        this.tauntCount = tauntCount;
        this.name = name;
    }

    public Integer getDetailedReviewId() {
        return detailedReviewId;
    }

    public void setDetailedReviewId(Integer detailedReviewId) {
        this.detailedReviewId = detailedReviewId;
    }

    public Integer getDetailsPatientCircleId() {
        return detailsPatientCircleId;
    }

    public void setDetailsPatientCircleId(Integer detailsPatientCircleId) {
        this.detailsPatientCircleId = detailsPatientCircleId;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public Integer getReviewerId() {
        return reviewerId;
    }

    public void setReviewerId(Integer reviewerId) {
        this.reviewerId = reviewerId;
    }

    public Integer getNumberLikes() {
        return numberLikes;
    }

    public void setNumberLikes(Integer numberLikes) {
        this.numberLikes = numberLikes;
    }

    public Integer getTauntCount() {
        return tauntCount;
    }

    public void setTauntCount(Integer tauntCount) {
        this.tauntCount = tauntCount;
    }

    public DetailedReview() {
    }

    public String getName() {
        return name;
    }

    public void setName(String name) {
        this.name = name;
    }
}
