package com.four.common.duck.domain;

import java.util.Date;

/**
 * 被采纳建议表
 */
public class AcceptedProposal {

    /**
     * 被采纳建议id
     */
    private Integer acceptedProposalId;

    /**
     * 详情表中的评论id
     */
    private Integer detailedReviewId;

    /**
     * 采纳时间
     */
    private Date adoptionTime;

    public AcceptedProposal() {
    }

    public AcceptedProposal(Integer acceptedProposalId, Integer detailedReviewId, Date adoptionTime) {
        this.acceptedProposalId = acceptedProposalId;
        this.detailedReviewId = detailedReviewId;
        this.adoptionTime = adoptionTime;
    }

    public Integer getAcceptedProposalId() {
        return acceptedProposalId;
    }

    public void setAcceptedProposalId(Integer acceptedProposalId) {
        this.acceptedProposalId = acceptedProposalId;
    }

    public Integer getDetailedReviewId() {
        return detailedReviewId;
    }

    public void setDetailedReviewId(Integer detailedReviewId) {
        this.detailedReviewId = detailedReviewId;
    }

    public Date getAdoptionTime() {
        return adoptionTime;
    }

    public void setAdoptionTime(Date adoptionTime) {
        this.adoptionTime = adoptionTime;
    }
}
