package com.four.common.duck.video;

import java.util.Date;

/**
 * 视频评论表
 */
public class VideoReview {

    /**
     * 视频评论id
     */
    private Integer videoReviewId;

    /**
     * 视频id
     */
    private Integer videoId;

    /**
     * 评论人id
     */
    private Integer userId;

    /**
     * 评论时间
     */
    private Date commentTime;

    /**
     * 评论内容
     */
    private String commentContent;

    public Integer getVideoReviewId() {
        return videoReviewId;
    }

    public void setVideoReviewId(Integer videoReviewId) {
        this.videoReviewId = videoReviewId;
    }

    public Integer getVideoId() {
        return videoId;
    }

    public void setVideoId(Integer videoId) {
        this.videoId = videoId;
    }

    public Integer getUserId() {
        return userId;
    }

    public void setUserId(Integer userId) {
        this.userId = userId;
    }

    public Date getCommentTime() {
        return commentTime;
    }

    public void setCommentTime(Date commentTime) {
        this.commentTime = commentTime;
    }

    public String getCommentContent() {
        return commentContent;
    }

    public void setCommentContent(String commentContent) {
        this.commentContent = commentContent;
    }

    public VideoReview() {
    }

    public VideoReview(Integer videoReviewId, Integer videoId, Integer userId, Date commentTime, String commentContent) {
        this.videoReviewId = videoReviewId;
        this.videoId = videoId;
        this.userId = userId;
        this.commentTime = commentTime;
        this.commentContent = commentContent;
    }
}
